Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Type_Reference

    java.lang.Object
      rdlc.naming.Catalog<java.lang.String,V>
          rdlc.naming.HierarchicalCatalog<Field>
              rdlc.rdl.Instance
                  rdlc.sw.Type_Root
                      rdlc.sw.Type_Reference

All Implemented Interfaces:
  Expression, Field, Type

    public class Type_Reference

extends Type_Root

A reference type (pointer) including the identifier of the construct this is a reference to.

Version:
  $Revision: 1.10 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from class rdlc.rdl.Instance
`Instance.Accessor, Instance.Identifier, Instance.LateBindField, Instance.QualifiedIdentifier`

Nested classes/interfaces inherited from class rdlc.naming.HierarchicalCatalog
`HierarchicalCatalog.DefaultAccessor<_V>`

Nested classes/interfaces inherited from interface rdlc.sw.Type
`Type.Default`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected QualifiedIdentifier<Declaration>` | `refType` The static identifier of the type of this reference.

Fields inherited from class rdlc.sw.Type_Root
`arrayBound, xconstant, xstatic`

Fields inherited from class rdlc.rdl.Instance
`bound, copied, copySource, dynRoot, lateBindFieldList, namespace, resolved`

Fields inherited from class rdlc.naming.HierarchicalCatalog
`cachedIdentifier, cachedRoot, name, parent`

Fields inherited from class rdlc.naming.Catalog
`entryList, indexTable`

Fields inherited from interface rdlc.sw.Type
`ARRAY_INFINITE, ARRAY_SINGLETON`

Constructor Summary
`Type_Reference(java.lang.String _name, Instance _instance, QualifiedIdentifier<Declaration> _refType, int _arrayBound, boolean _static, boolean _constant)` Simple constructor, merely stores the given arguments.
`Type_Reference(java.lang.String _name, Instance _instance, Type_Reference _other)` Copy construcor.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`Type.Default` | `getDefault()` Simple accessor.
`QualifiedIdentifier<Declaration>` | `getReferenceType()` Simple accessor.
`void` | `getRequirements(CatalogSet<Identifier<Declaration>> requirements)` An instance only depends on the dependancies of it's fields (and of course it's fields).
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.sw.Type_Root
`getArrayBound, isConstant, isStatic`

Methods inherited from class rdlc.rdl.Instance
`add, add, bindFields, copySubInstance, createIdentifier, getDynRoot, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class rdlc.naming.HierarchicalCatalog
`connectParent, getIdentifier, getName, getParent, getRoot, hashCode`

Methods inherited from class rdlc.naming.Catalog
`clear, containsKey, entryList, get, get, getKey, isEmpty, keySet, put, put, putAll, remove, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`resolve, setNamespace, typeMatch`

Field Detail

### refType

    protected QualifiedIdentifier<Declaration> refType

  The static identifier of the type of this reference.

Constructor Detail

### Type_Reference

    public Type_Reference(java.lang.String _name,
                          Instance _instance,
                          QualifiedIdentifier<Declaration> _refType,
                          int _arrayBound,
                          boolean _static,
                          boolean _constant)

  Simple constructor, merely stores the given arguments.

  Parameters:
    `_name` - The name of this type, not often used.
    `_instance` - The instance to add this type to.
    `_refType` - The static identifier of the type of this reference.
    `_arrayBound` - The array bound on this type.
    `_static` - Is this a static type?
    `_constant` - Is this a constant type?

### Type_Reference

    public Type_Reference(java.lang.String _name,
                          Instance _instance,
                          Type_Reference _other)

  Copy construcor.

  Parameters:
    `_name` - The name of this type, not often used.
    `_instance` - The instance to add this type to.
    `_other` - The type to copy.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Instance`
  Returns:
    A human readable representation of this type for debugging.

### getReferenceType

    public QualifiedIdentifier<Declaration> getReferenceType()

  Simple accessor.

  Returns:
    The static identifier of the type of this reference.

### getDefault

    public Type.Default getDefault()

  Description copied from interface: `Type`
  Simple accessor.

  Returns:
    The default value for variables of this type.
  See Also:
    `Type.getDefault()`

### getRequirements

    public void getRequirements(CatalogSet<Identifier<Declaration>> requirements)

  Description copied from class: `Instance`
  An instance only depends on the dependancies of it's fields (and of course it's fields).

  Specified by:
    `getRequirements` in interface `Expression`
  Overrides:
    `getRequirements` in class `Instance`
  Parameters:
    `requirements` - A list to which this will add the declarations upon which this one relies.
  See Also:
    `Expression.getRequirements(CatalogSet)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD